## ide-line-reader ide-line-reader |

## Functions

void | ide_line_reader_init ()
gchar * | ide_line_reader_next ()

## Description

## Functions

### ide_line_reader_init ()

    void
    ide_line_reader_init (IdeLineReader *reader,
                          gchar *contents,
                          gssize length);

### ide_line_reader_next ()

    gchar *
    ide_line_reader_next (IdeLineReader *reader,
                          gsize *length);

Moves forward to the beginning of the next line in the buffer. No changes to the buffer are made, and the result is a pointer within the string passed as `contents` in `ide_line_reader_init()`. Since the line most likely will not be terminated with a NULL byte, you must provide `length` to determine the length of the line.

#### Parameters

reader | the IdeLineReader |
length | a location for the length of the line in bytes. |

#### Returns

The beginning of the line within the buffer.

[transfer none]

Since: 3.32